Bug 428782 - BUG: unable to handle kernel paging / EIP is at copy_process+0xa91/0x1139 -
BUG: unable to handle kernel paging / EIP is at copy_process+0xa91/0x1139 -
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 01:53 EST by Michael De La Rue
Modified: 2008-06-16 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:59:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a script to add to fslint that finds duplicate emails. (6.23 KB, application/octet-stream)
2008-01-15 01:53 EST, Michael De La Rue
no flags Details

  None (edit)
Description Michael De La Rue 2008-01-15 01:53:12 EST
Description of problem:
The following EIP occurred one time.  This is during a run of a very file
intensive shell script.  

Version-Release number of selected component (if applicable):
2.6.23.12-52.fc7

How reproducible:
happened one time so far

Steps to Reproduce:
1. run attached shell script on many mail files.
2. 
3.
  
Actual results:
Jan 14 23:40:07 telesfor kernel: BUG: unable to handle kernel paging request at
virtual address 7261744c
Jan 14 23:40:07 telesfor kernel:  printing eip:
Jan 14 23:40:07 telesfor kernel: c042c2af
Jan 14 23:40:07 telesfor kernel: *pde = 00000000
Jan 14 23:40:07 telesfor kernel: Oops: 0000 [#1]
Jan 14 23:40:07 telesfor kernel: SMP 
Jan 14 23:40:07 telesfor kernel: Modules linked in: autofs4 ip6t_REJECT
ip6table_filter ip6_tables hidp rfcomm l2cap bluetooth nf_conntrack_netbios_ns nf_
conntrack_ipv4 xt_state nf_conntrack nfnetlink ipt_REJECT xt_tcpudp
iptable_filter ip_tables x_tables radeon drm ipv6 dm_multipath raid1 video
output sbs 
battery ac snd_via82xx snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_a
lloc snd_mpu401_uart parport_pc ns558 snd_rawmidi snd_seq_device parport
i2c_viapro gameport button snd pcspkr via_rhine i2c_core soundcore 3c59x mii flop
py sg sr_mod cdrom dm_snapshot dm_zero dm_mirror dm_mod usb_storage sata_via
ata_generic pata_via libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd ohci_hc
d uhci_hcd
Jan 14 23:40:07 telesfor kernel: CPU:    0
Jan 14 23:40:07 telesfor kernel: EIP:    0060:[<c042c2af>]    Not tainted VLI
Jan 14 23:40:07 telesfor kernel: EFLAGS: 00210282   (2.6.23.12-52.fc7 #1)
Jan 14 23:40:07 telesfor kernel: EIP is at copy_process+0xa91/0x1139
Jan 14 23:40:07 telesfor kernel: eax: 72617440   ebx: f2abbb00   ecx: f2a7da80 
 edx: 00000001
Jan 14 23:40:07 telesfor kernel: esi: f3cd6280   edi: c9d701b8   ebp: dcbb6c20 
 esp: e1228f20
Jan 14 23:40:07 telesfor kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
Jan 14 23:40:07 telesfor kernel: Process findmaildup (pid: 28173, ti=e1228000
task=dcbb7840 task.ti=e1228000)
Jan 14 23:40:07 telesfor kernel: Stack: f2abb490 e1228f90 0000000d e1228fb8
bfcf9cc4 01200011 00000000 dcbb6c20 
Jan 14 23:40:07 telesfor kernel:        f2a7da80 f2abbdcc f2abbddc f2abbdd8
f2a7d700 f2a7da80 bfcf9cc4 f4462550 
Jan 14 23:40:07 telesfor kernel:        01200011 e1228fb8 c042c9a8 00000000
00000000 b7f3b708 f4462550 00006e0e 
Jan 14 23:40:07 telesfor kernel: Call Trace:
Jan 14 23:40:07 telesfor kernel:  [<c042c9a8>] do_fork+0x51/0x17e
Jan 14 23:40:07 telesfor kernel:  [<c0403231>] sys_clone+0x36/0x3b
Jan 14 23:40:07 telesfor kernel:  [<c040518a>] syscall_call+0x7/0xb
Jan 14 23:40:07 telesfor kernel:  =======================
Jan 14 23:40:07 telesfor kernel: Code: fa e8 62 8b 0c 00 89 d8 81 63 14 ff df ff
ff 8b 4c 24 34 c7 43 0c 00 00 00 00 89 0b e8 62 78 04 00 8b 73 48 85 f6 7
4 3f 8b 46 0c <8b> 40 0c 90 ff 46 14 f6 43 15 08 74 07 90 ff 88 44 01 00 00 8b 
Jan 14 23:40:07 telesfor kernel: EIP: [<c042c2af>] copy_process+0xa91/0x1139
SS:ESP 0068:e1228f20


Expected results:
no EIP

Additional info:
System apparently remains stable but running "ps aux" seems to lock up.  The
only related bug I could find is bug #205489.
Comment 1 Michael De La Rue 2008-01-15 01:53:12 EST
Created attachment 291688 [details]
a script to add to fslint that finds duplicate emails.
Comment 2 Christopher Brown 2008-01-16 00:10:18 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

Thanks for taking the time to file this report - I'm re-assigning to the
filesystem maintainer in the first instance who may wish to comment.
Comment 3 Chuck Ebbert 2008-01-22 19:49:03 EST
Not a filesystem bug.
Comment 4 Bug Zapper 2008-05-14 11:15:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:59:19 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.